<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Kurikulum
		</title>
		<meta name="_csrf" th:content="${_csrf.token}"/>
		<meta name="_csrf_header" th:content="${_csrf.headerName}"/>
		<script th:inline="javascript">
			function editCurriculum(id, code,name, prodi){
				document.getElementById('id').value = id;
				document.getElementById('curiculumCode').value = code;
				document.getElementById('curiculumName').value = name;
				document.getElementById('institutionProdi').value = prodi;
				document.getElementById('cancel-button').style.display = 'block';
			}

			function cancelEdit() {
				document.getElementById('id').value = '';
				document.getElementById('curiculumCode').value = '';
				document.getElementById('curiculumName').value = '';
				document.getElementById('institutionProdi').value = '';
				document.getElementById('cancel-button').style.display = 'none';
			}

		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- nav tabs -->
			<div
				th:replace="~{setting/curriculum/partials/navtab.html :: navTab}"
			></div>

			<!-- form -->
			<div th:replace="~{setting/curriculum/partials/form.html :: form}"></div>
			<div class="rounded-xl shadow bg-white dark:bg-gray-800">
				<!-- table header -->
				<div
					th:replace="~{setting/curriculum/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div
					th:replace="~{setting/curriculum/partials/table.html :: table}"
				></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/curriculum/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
